MarinerWrtParserInternal::Zone Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MarinerWrtParserInternal::Zone Struct Reference

Internal: the struct used to store the zone of a MarinerWrtParser. More...

## Public Types
enum | Type { Z_Main, Z_Footnote, Z_Header, Z_Footer, Z_Unknown }
| a enum to define the diffent zone type More...

## Public Member Functions
| Zone ()
| constructor More...

## Public Attributes
int | m_id
| the zone id More...
uint32_t | m_fileId
| the file zone id More...
Type | m_type
| the zone type More...
bool | m_endNote
| a flag to know if this an endnote More...
long | m_height
| height of the zone More...
MWAWVec2l | m_RBpos
| right/bottom position More...
MWAWBox2l | m_dim
| the zone total position More...
MWAWBox2i | m_pageDim
| the page dimension (?) More...
MWAWBox2i | m_pageTextDim
| the zone of text dimension ( ie page less margins) More...
MWAWSection | m_section
| the section More...
MWAWColor | m_backgroundColor
| the background color More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &zone)
| operator<< More...

## Detailed Description

Internal: the struct used to store the zone of a MarinerWrtParser.

## Member Enumeration Documentation

## ◆ Type

enum MarinerWrtParserInternal::Zone::Type

a enum to define the diffent zone type

Enumerator
Z_Main |
Z_Footnote |
Z_Header |
Z_Footer |
Z_Unknown |

## Constructor & Destructor Documentation

## ◆ Zone()

MarinerWrtParserInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | zone
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_backgroundColor

MWAWColor MarinerWrtParserInternal::Zone::m_backgroundColor

the background color

Referenced by MarinerWrtParserInternal::operator<<(), and MarinerWrtParser::readZoneHeader().

## ◆ m_dim

MWAWBox2l MarinerWrtParserInternal::Zone::m_dim

the zone total position

Referenced by MarinerWrtParserInternal::operator<<(), and MarinerWrtParser::readZoneHeader().

## ◆ m_endNote

bool MarinerWrtParserInternal::Zone::m_endNote

a flag to know if this an endnote

Referenced by MarinerWrtParserInternal::operator<<(), and MarinerWrtParser::readZoneHeader().

## ◆ m_extra

std::string MarinerWrtParserInternal::Zone::m_extra

extra data

Referenced by MarinerWrtParserInternal::operator<<(), and MarinerWrtParser::readZoneHeader().

## ◆ m_fileId

uint32_t MarinerWrtParserInternal::Zone::m_fileId

the file zone id

Referenced by MarinerWrtParserInternal::operator<<(), and MarinerWrtParser::readZoneHeader().

## ◆ m_height

long MarinerWrtParserInternal::Zone::m_height

height of the zone

Referenced by MarinerWrtParserInternal::operator<<(), and MarinerWrtParser::readZoneHeader().

## ◆ m_id

int MarinerWrtParserInternal::Zone::m_id

the zone id

## ◆ m_pageDim

MWAWBox2i MarinerWrtParserInternal::Zone::m_pageDim

the page dimension (?)

## ◆ m_pageTextDim

MWAWBox2i MarinerWrtParserInternal::Zone::m_pageTextDim

the zone of text dimension ( ie page less margins)

## ◆ m_RBpos

MWAWVec2l MarinerWrtParserInternal::Zone::m_RBpos

right/bottom position

Referenced by MarinerWrtParserInternal::operator<<(), and MarinerWrtParser::readZoneHeader().

## ◆ m_section

MWAWSection MarinerWrtParserInternal::Zone::m_section

the section

## ◆ m_type

Type MarinerWrtParserInternal::Zone::m_type

the zone type

Referenced by MarinerWrtParserInternal::operator<<(), and MarinerWrtParser::readZoneHeader().

The documentation for this struct was generated from the following file:

- MarinerWrtParser.cxx